=== debian/changelog ===
neovim-qt (0.2.4-1) unstable; urgency=medium

  * New upstream release

 -- Jason Pleau <jason@jpleau.ca>  Sat, 12 Nov 2016 09:24:00 -0500

neovim-qt (0.2.3-1) unstable; urgency=medium

  * Initial release. (Closes: #818112)

 -- Jason Pleau <jason@jpleau.ca>  Wed, 05 Oct 2016 22:22:28 -0400
