=== debian/control ===
Source: neovim-qt
Section: editors
Priority: optional
Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
Uploaders: Jason Pleau <jason@jpleau.ca>, James McCoy <jamessan@debian.org>
Build-Depends: debhelper (>= 9),
               cmake,
               help2man,
               libmsgpack-dev (>= 1.4.0-2),
               neovim,
               python-jinja2,
               python-msgpack,
               qtbase5-dev,
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://github.com/equalsraf/neovim-qt
Vcs-Git: https://anonscm.debian.org/cgit/pkg-vim/neovim-qt.git/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-vim/neovim-qt.git/

Package: neovim-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, neovim
Description: neovim client library and GUI
 neovim-qt provides a Qt5 GUI interface for neovim
