=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/buildflags.mk

# cmake doesn't honor CPPFLAGS
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

export CFLAGS CXXFLAGS LDFLAGS

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_SYSTEM_MSGPACK=ON
	$(MAKE) -C $(CURDIR)/build bindings

override_dh_auto_build:
	dh_auto_build --parallel
	xvfb-run --auto-servernum help2man -s 1 --version-string=$(DEB_VERSION_UPSTREAM)  -n 'Neovim GUI' --no-info -o debian/nvim-qt.1 build/bin/nvim-qt

override_dh_auto_test:
	xvfb-run --auto-servernum dh_auto_test

override_dh_auto_install:
	dh_auto_install
	nvim -i NONE -u NONE -e --headless -c "helptags $(CURDIR)/debian/neovim-qt/usr/share/nvim-qt/runtime/doc" -c "quit"
