## neovim-qt 0.2.7

=== debian/changelog ===
neovim-qt (0.2.7-3) unstable; urgency=medium

  * Fix FTBFS by creating a $HOME for the tests.  (Closes: #871132)
  * Declare compliance with police 4.0.1, no changes needed.
  * Explicitly set CMAKE_BUILD_TYPE=Release to disable noisy debug logging.

 -- James McCoy <jamessan@debian.org>  Sat, 12 Aug 2017 20:39:13 -0400

neovim-qt (0.2.7-2) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Sat, 24 Jun 2017 14:54:45 -0400

neovim-qt (0.2.7-1) experimental; urgency=medium

  [ Jason Pleau ]
  * New upstream release
    + Fix race condition in tst_neovimconnector.  (Closes: #845685)
    + "nvim-qt --help" no longer requires an X connection.
  * Upstream now generates helptags during building, we don't need to do it
    ourselves during dh_install anymore
  * Provide nvim-qt as an alternative for gvim (Closes: #848100)

  [ James McCoy ]
  * Track which neovim we built against using Built-Using.
  * Remove xfvb-run call for generating the man page.

 -- James McCoy <jamessan@debian.org>  Wed, 31 May 2017 22:50:13 -0400
