=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                qtbase5-dev,
                xauth,
                xvfb
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/equalsraf/neovim-qt
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-vim/neovim-qt.git/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-vim/neovim-qt.git/
@@ -21,5 +21,6 @@
 Package: neovim-qt
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, neovim
+Built-Using: ${nvim-qt:Built-Using}
 Description: neovim client library and GUI
  neovim-qt provides a Qt5 GUI interface for neovim
