## neovim-qt 0.2.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
 
 # Qt
 set(CMAKE_AUTOMOC ON)
+find_package(Qt5Core REQUIRED)
 find_package(Qt5Widgets REQUIRED)
 find_package(Qt5Network REQUIRED)
 find_package(Qt5Test REQUIRED)
