=== src/gui/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 target_link_libraries(neovim-qt-gui qshellwidget neovim-qt)
 
 if(NOT APPLE)
-	set_property(SOURCE main.cpp PROPERTY COMPILE_DEFINITIONS
+	set_property(SOURCE app.cpp PROPERTY COMPILE_DEFINITIONS
 		NVIM_QT_RUNTIME_PATH="${CMAKE_INSTALL_FULL_DATADIR}/nvim-qt/runtime")
 endif()
 
@@ -64,3 +64,13 @@
 			DESTINATION ${CMAKE_INSTALL_BINDIR})
 	endif()
 endif()
+
+# Generate help tags
+add_custom_command(
+	OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/runtime/doc/tags"
+	COMMAND ${NEOVIM_EXEC} -i NONE -u NONE -e --headless
+	-c "helptags ${CMAKE_CURRENT_SOURCE_DIR}/runtime/doc" -c "quit"
+	COMMENT "Generating helptags")
+
+add_custom_target(helptags ALL
+	DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/runtime/doc/tags")
