=== debian/changelog ===
neovim-qt (0.2.8-3) unstable; urgency=medium

  * Increase xvfb-run resolution to fix arm{el,hf} crashes

 -- James McCoy <jamessan@debian.org>  Sun, 28 Jan 2018 08:21:43 -0500

neovim-qt (0.2.8-2) unstable; urgency=medium

  * Change Vcs-* to salsa.d.o
  * Revert "Track neovim version used to build in Built-Using"
  * Declare compliance with Policy 4.1.3
  * Point gbp-dch to the correct branch
  * Bump debhelper compat to 11
  * Set R³ to no

 -- James McCoy <jamessan@debian.org>  Sun, 21 Jan 2018 20:17:50 -0500

neovim-qt (0.2.8-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat to 10
  * Declare compliance with Policy 4.1.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Thu, 14 Sep 2017 23:46:30 -0400
