=== debian/control ===
Source: neovim-qt
Section: editors
Priority: optional
Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
Uploaders: Jason Pleau <jason@jpleau.ca>, James McCoy <jamessan@debian.org>
Build-Depends: debhelper (>= 11),
               cmake,
               help2man,
               libmsgpack-dev (>= 1.4.0-2),
               neovim,
               python-jinja2,
               python-msgpack,
               qtbase5-dev,
               xauth,
               xvfb
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: https://github.com/equalsraf/neovim-qt
Vcs-Git: https://salsa.debian.org/vim-team/neovim-qt.git
Vcs-Browser: https://salsa.debian.org/vim-team/neovim-qt

Package: neovim-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, neovim
Description: neovim client library and GUI
 neovim-qt provides a Qt5 GUI interface for neovim
