=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/buildflags.mk

# cmake doesn't honor CPPFLAGS
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

export CFLAGS CXXFLAGS LDFLAGS

TEST_HOME = $(CURDIR)/build/home

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_SYSTEM_MSGPACK=ON -DCMAKE_BUILD_TYPE=Release
	$(MAKE) -C $(CURDIR)/build bindings

override_dh_auto_build:
	dh_auto_build
	help2man -s 1 --version-string=$(DEB_VERSION_UPSTREAM)  -n 'Neovim GUI' --no-info -o debian/nvim-qt.1 build/bin/nvim-qt

override_dh_auto_test:
	mkdir -p "$(TEST_HOME)"
	# Need to use a server with 24bit color depth to avoid libegl-mesa
	# crashes on some systems
	xvfb-run --server-args '-screen 0 1024x768x24' --auto-servernum env HOME="$(TEST_HOME)" dh_auto_test
