=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,8 @@
 
 include_directories(${CMAKE_SOURCE_DIR}/src)
+if (WIN32 AND USE_STATIC_QT)
+	add_definitions(-DUSE_STATIC_QT)
+endif ()
 
 add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})
 function(add_xtest SOURCE_NAME)
