=== src/gui/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,11 @@
 include_directories(..)
 qt5_add_resources(NEOVIM_RCC_SOURCES data.qrc)
 if(WIN32)
+	if (USE_STATIC_QT)
+		add_definitions(-DUSE_STATIC_QT)
+		link_directories(${CMAKE_PREFIX_PATH}/share/qt5/plugins/platforms)
+		set(QTLIBS ${QTLIBS} Qt5PlatformCompositorSupport qwindows)
+	endif()
 	set(RES_FILE "data.rc")
 	enable_language(RC)
 elseif(APPLE)
@@ -57,7 +62,7 @@
 if(WIN32 AND NOT CMAKE_CROSSCOMPILING)
 	if(Qt5Core_VERSION VERSION_LESS 5.3)
 		message(WARNING "Cannot use windeployqt in Qt 5.2 and earlier")
-	else()
+	elseif(NOT DEFINED USE_STATIC_QT)
 		include(WinDeployQt)
 		WinDeployQt(TARGET nvim-qt COMPILER_RUNTIME INCLUDE_MODULES ${QTLIBS} EXCLUDE_MODULES webkit webkit2)
 		install(DIRECTORY ${PROJECT_BINARY_DIR}/windeployqt/
