=== debian/changelog ===
neovim-qt (0.2.9-1) unstable; urgency=medium

  * New upstream release
    + Runtime detection of Neovim's supported API versions (Closes: #904265)

 -- James McCoy <jamessan@debian.org>  Wed, 08 Aug 2018 21:34:13 -0400

neovim-qt (0.2.8-4) unstable; urgency=medium

  [ David Rabel ]
  * Fix d/copyright: MacOSXBundleInfo.plist.in was moved

  [ Jason Pleau ]
  * Relax debhelper dependency to allow for easier backporting
  * Update Maintainer email to team+vim@tracker.debian.org

  [ James McCoy ]
  * Declare compliance with Policy 4.1.5, no changes needed.

 -- James McCoy <jamessan@debian.org>  Wed, 04 Jul 2018 21:24:03 -0400
