=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: neovim-qt
 Section: editors
 Priority: optional
-Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
 Uploaders: Jason Pleau <jason@jpleau.ca>, James McCoy <jamessan@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 11~),
                cmake,
                help2man,
                libmsgpack-dev (>= 1.4.0-2),
@@ -13,7 +13,7 @@
                qtbase5-dev,
                xauth,
                xvfb
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Rules-Requires-Root: no
 Homepage: https://github.com/equalsraf/neovim-qt
 Vcs-Git: https://salsa.debian.org/vim-team/neovim-qt.git
