=== debian/changelog ===
neovim-qt (0.2.10-1) unstable; urgency=medium

  * Update to new upstream version 0.2.10.
    + Add support for Neovim's ext_popupmenu UI option to provide a native
      popup menu
      - Add :GuiPopupmenu command to explicitly enable/disable the GUI popup
        menu
    + Add support for Neovim's ext_tabline UI option to provide native tabline
      display
      - Honor 'showtabline' to determine when the tabline is displayed
      - Add :GuiTabline command to explicitly enable/disable the tabline
    + Support the :suspend command, minimizing the GUi
  * Opt-in to debhelper 12 beta
  * rules: Use cmake+ninja buildsystem
  * Declare compliance with Policy 4.2.1
  * copyright: Add license for third-party/oxygen/

 -- James McCoy <jamessan@debian.org>  Mon, 22 Oct 2018 22:20:18 -0400
