=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
 Uploaders: Jason Pleau <jason@jpleau.ca>, James McCoy <jamessan@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 11.4~),
                cmake,
                help2man,
                libmsgpack-dev (>= 1.4.0-2),
                neovim,
+               ninja-build,
                python-jinja2,
                python-msgpack,
                qtbase5-dev,
                xauth,
                xvfb
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Homepage: https://github.com/equalsraf/neovim-qt
 Vcs-Git: https://salsa.debian.org/vim-team/neovim-qt.git
