## neovim-qt 0.2.11

=== debian/changelog ===
neovim-qt (0.2.11-1) unstable; urgency=medium

  * New upstream release

 -- James McCoy <jamessan@debian.org>  Tue, 01 Jan 2019 16:00:54 -0500
