=== debian/control ===
--- 
+++ 
@@ -13,6 +13,9 @@
                python-msgpack,
                qtbase5-dev,
                xauth,
+# This can be "neovim (>= 0.3.2) | xclip" once that version of neovim is
+# generally available
+               xclip,
                xvfb
 Standards-Version: 4.2.1
 Rules-Requires-Root: no
