## neovim-qt 0.2.12

=== debian/changelog ===
neovim-qt (0.2.12-1) unstable; urgency=medium

  * New upstream release

 -- James McCoy <jamessan@debian.org>  Wed, 23 Jan 2019 23:50:53 -0500
