## neovim-qt 0.2.12.1%2Brb2

=== debian/changelog ===
neovim-qt (0.2.12.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Vim Maintainers <team+vim@tracker.debian.org>  Thu, 28 Jan 2021 19:58:51 +0800
