## neovim-qt 0.2.12.1+rb2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
 cmake_minimum_required(VERSION 2.8.11)
-project(neovim-qt)
+if (POLICY CMP0048)
+  cmake_policy(SET CMP0048 NEW)
+endif (POLICY CMP0048)
+
+project(neovim-qt VERSION 0.2.10.0)
 
 INCLUDE(CPack)
