## neovim-qt 0.2.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
   cmake_policy(SET CMP0048 NEW)
 endif (POLICY CMP0048)
 
-project(neovim-qt VERSION 0.2.10.0)
+project(neovim-qt VERSION 0.2.14.0)
 
 INCLUDE(CPack)
