=== src/gui/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,11 @@
 set(QTLIBS Qt5::Network Qt5::Widgets)
 
-include_directories(..)
+include_directories(.. shellwidget)
 qt5_add_resources(NEOVIM_RCC_SOURCES data.qrc)
 if(WIN32)
+	set(SRCS_PLATFORM
+		arguments_qwindowgeometry.cpp
+		)
 	if (USE_STATIC_QT)
 		add_definitions(-DUSE_STATIC_QT)
 		link_directories(${CMAKE_PREFIX_PATH}/share/qt5/plugins/platforms)
@@ -11,21 +14,37 @@
 	set(RES_FILE "data.rc")
 	enable_language(RC)
 elseif(APPLE)
+	set(SRCS_PLATFORM
+		arguments_qwindowgeometry.cpp
+		)
 	set(ICON_PATH ${PROJECT_SOURCE_DIR}/third-party/neovim.icns)
 	set_source_files_properties(${ICON_PATH} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")
 
 	set(MACOSX_BUNDLE_INFO_PLIST ${PROJECT_SOURCE_DIR}/cmake/MacOSXBundleInfo.plist.in)
+else()
+	set(SRCS_PLATFORM
+		arguments_geometry.cpp
+		)
 endif()
 
 add_subdirectory(shellwidget)
 
 include(GNUInstallDirs)
 set(RUNTIME_PATH )
-add_library(neovim-qt-gui shell.cpp input.cpp treeview.cpp errorwidget.cpp mainwindow.cpp app.cpp
+
+add_library(neovim-qt-gui
+	app.cpp
+	errorwidget.cpp
+	highlight.cpp
+	input.cpp
+	mainwindow.cpp
+	popupmenu.cpp
 	popupmenumodel.cpp
-	popupmenu.cpp
-	${CMAKE_SOURCE_DIR}/third-party/konsole_wcwidth.cpp
+	shell.cpp
+	treeview.cpp
+	${SRCS_PLATFORM}
 	${NEOVIM_RCC_SOURCES})
+
 target_link_libraries(neovim-qt-gui qshellwidget neovim-qt)
 
 if(NOT APPLE)
@@ -58,7 +77,7 @@
 	install(FILES nvim-qt.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
 	install(FILES ${CMAKE_SOURCE_DIR}/third-party/neovim.png
 			RENAME nvim-qt.png
-			DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps/)
+			DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/192x192/apps/)
 endif()
 
 if(WIN32 AND NOT CMAKE_CROSSCOMPILING)
