=== src/gui/shellwidget/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
 include_directories(..)
+
+if (WIN32 AND USE_STATIC_QT)
+	add_definitions(-DUSE_STATIC_QT)
+endif ()
 
 function(add_xtest SOURCE_NAME)
 	add_executable(${SOURCE_NAME} ${SOURCE_NAME}.cpp)
