=== debian/changelog ===
neovim-qt (0.2.15-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:48 +0100

neovim-qt (0.2.15-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on python3-{jinja2,msgpack} (Closes: #943130)

 -- James McCoy <jamessan@debian.org>  Sun, 03 Nov 2019 23:00:44 -0500

neovim-qt (0.2.13-1) unstable; urgency=medium

  * New upstream release
  * Update to debhelper 12 and debian-compat Build-Depends
  * Declare compliance with Policy 4.4.0, no changes needed
  * Reduce xclip Build-Depends to an alternative.  Neovim >= 0.3.2 allows a
    clipboard provider to be implemented in VimL, which neovim-qt does and
    uses for its tests.
  * Move /usr/bin/gvim.nvim-qt to /usr/libexec/nvim-qt/gvim, since it's only
    used for the gvim alternative.

 -- James McCoy <jamessan@debian.org>  Tue, 03 Sep 2019 23:19:54 -0400
