=== debian/control ===
Source: neovim-qt
Section: editors
Priority: optional
Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
Uploaders: Jason Pleau <jason@jpleau.ca>, James McCoy <jamessan@debian.org>
Build-Depends: debhelper-compat (= 12),
               cmake,
               help2man,
               libmsgpack-dev (>= 1.4.0-2),
               neovim,
               ninja-build,
               python3-jinja2,
               python3-msgpack,
               qtbase5-dev,
               xauth,
               neovim (>= 0.3.2) | xclip,
               xvfb
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: https://github.com/equalsraf/neovim-qt
Vcs-Git: https://salsa.debian.org/vim-team/neovim-qt.git
Vcs-Browser: https://salsa.debian.org/vim-team/neovim-qt

Package: neovim-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, neovim
Description: neovim client library and GUI
 neovim-qt provides a Qt5 GUI interface for neovim
