=== debian/rules ===
--- 
+++ 
@@ -13,11 +13,11 @@
 TEST_HOME = $(CURDIR)/build/home
 
 %:
-	dh $@ --builddirectory=build
+	dh $@ --builddirectory=build --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DUSE_SYSTEM_MSGPACK=ON -DCMAKE_BUILD_TYPE=Release
-	$(MAKE) -C $(CURDIR)/build bindings
+	ninja -C $(CURDIR)/build bindings
 
 override_dh_auto_build:
 	dh_auto_build
