## neovim-qt 0.2.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,9 @@
   cmake_policy(SET CMP0048 NEW)
 endif (POLICY CMP0048)
 
-project(neovim-qt VERSION 0.2.14.0)
+# Neovim-Qt Version, used by --version update before release
+# 9999 = Development Pre-Release
+project(neovim-qt VERSION 0.2.16.0)
 
 INCLUDE(CPack)
 
@@ -38,9 +40,10 @@
 # Qt
 set(CMAKE_AUTOMOC ON)
 find_package(Qt5Core REQUIRED)
+find_package(Qt5Network REQUIRED)
+find_package(Qt5Svg REQUIRED)
+find_package(Qt5Test REQUIRED)
 find_package(Qt5Widgets REQUIRED)
-find_package(Qt5Network REQUIRED)
-find_package(Qt5Test REQUIRED)
 
 # msgpack
 option(USE_SYSTEM_MSGPACK "Use system msgpack libraries " OFF)
