=== src/gui/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
-set(QTLIBS Qt5::Network Qt5::Widgets)
+set(QTLIBS Qt5::Network Qt5::Svg Qt5::Widgets)
 
 include_directories(.. shellwidget)
 qt5_add_resources(NEOVIM_RCC_SOURCES data.qrc)
 if(WIN32)
 	set(SRCS_PLATFORM
+		app_runtime.cpp
 		arguments_qwindowgeometry.cpp
+		input_win32.cpp
+		printinfo_msgbox.cpp
 		)
 	if (USE_STATIC_QT)
 		add_definitions(-DUSE_STATIC_QT)
@@ -15,7 +18,10 @@
 	enable_language(RC)
 elseif(APPLE)
 	set(SRCS_PLATFORM
+		app_runtime_mac.cpp
 		arguments_qwindowgeometry.cpp
+		input_mac.cpp
+		printinfo_stdout.cpp
 		)
 	set(ICON_PATH ${PROJECT_SOURCE_DIR}/third-party/neovim.icns)
 	set_source_files_properties(${ICON_PATH} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")
@@ -23,7 +29,10 @@
 	set(MACOSX_BUNDLE_INFO_PLIST ${PROJECT_SOURCE_DIR}/cmake/MacOSXBundleInfo.plist.in)
 else()
 	set(SRCS_PLATFORM
+		app_runtime.cpp
 		arguments_geometry.cpp
+		input_unix.cpp
+		printinfo_stdout.cpp
 		)
 endif()
 
@@ -35,20 +44,19 @@
 add_library(neovim-qt-gui
 	app.cpp
 	errorwidget.cpp
-	highlight.cpp
 	input.cpp
 	mainwindow.cpp
 	popupmenu.cpp
 	popupmenumodel.cpp
+	scrollbar.cpp
 	shell.cpp
 	treeview.cpp
 	${SRCS_PLATFORM}
 	${NEOVIM_RCC_SOURCES})
-
-target_link_libraries(neovim-qt-gui qshellwidget neovim-qt)
+target_link_libraries(neovim-qt-gui ${QTLIBS} qshellwidget neovim-qt)
 
 if(NOT APPLE)
-	set_property(SOURCE app.cpp PROPERTY COMPILE_DEFINITIONS
+	set_property(SOURCE app_runtime.cpp PROPERTY COMPILE_DEFINITIONS
 		NVIM_QT_RUNTIME_PATH="${CMAKE_INSTALL_FULL_DATADIR}/nvim-qt/runtime")
 endif()
