=== debian/changelog ===
neovim-qt (0.2.16-1) unstable; urgency=medium

  * New upstream release
  * Add libqt5svg5-dev to Build-Depends
  * rules:
    + Pass PYTHON_EXECUTABLE=/usr/bin/python3 to cmake to ensure it picks up
      the right Python version
    + Workaround needing $DISPLAY to run "nvim-qt --help"
  * Remove tst_shell_start.jpg during clean
  * Bump debhelper compat to 13
  * Declare compliance with Policy 4.5.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Tue, 23 Jun 2020 22:18:11 -0400
