=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
 Uploaders: Jason Pleau <jason@jpleau.ca>, James McCoy <jamessan@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                help2man,
                libmsgpack-dev (>= 1.4.0-2),
+               libqt5svg5-dev,
                neovim,
                ninja-build,
                python3-jinja2,
@@ -15,7 +16,7 @@
                xauth,
                neovim (>= 0.3.2) | xclip,
                xvfb
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/equalsraf/neovim-qt
 Vcs-Git: https://salsa.debian.org/vim-team/neovim-qt.git
