=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,13 @@
 	dh $@ --builddirectory=build --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DUSE_SYSTEM_MSGPACK=ON -DCMAKE_BUILD_TYPE=Release
+	dh_auto_configure -- -DUSE_SYSTEM_MSGPACK=ON -DCMAKE_BUILD_TYPE=Release -DPYTHON_EXECUTABLE=/usr/bin/python3
 	ninja -C $(CURDIR)/build bindings
 
 override_dh_auto_build:
 	dh_auto_build
-	help2man -s 1 --version-string=$(DEB_VERSION_UPSTREAM)  -n 'Neovim GUI' --no-info -o debian/nvim-qt.1 build/bin/nvim-qt
+	# Workaround bug where $DISPLAY is needed for --help
+	xvfb-run --auto-servernum help2man -s 1 --version-string=$(DEB_VERSION_UPSTREAM)  -n 'Neovim GUI' --no-info -o debian/nvim-qt.1 build/bin/nvim-qt
 
 override_dh_auto_test:
 	mkdir -p "$(TEST_HOME)"
